<?php
$rosaleen_woocommerce_sc = rosaleen_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $rosaleen_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$rosaleen_scheme = rosaleen_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $rosaleen_scheme ) && ! rosaleen_is_inherit( $rosaleen_scheme ) ) {
			echo ' scheme_' . esc_attr( $rosaleen_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( rosaleen_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( rosaleen_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$rosaleen_css      = '';
			$rosaleen_bg_image = rosaleen_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $rosaleen_bg_image ) ) {
				$rosaleen_css .= 'background-image: url(' . esc_url( rosaleen_get_attachment_url( $rosaleen_bg_image ) ) . ');';
			}
			if ( ! empty( $rosaleen_css ) ) {
				echo ' style="' . esc_attr( $rosaleen_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$rosaleen_anchor_icon = rosaleen_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$rosaleen_anchor_text = rosaleen_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $rosaleen_anchor_icon ) || ! empty( $rosaleen_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $rosaleen_anchor_icon ) ? ' icon="' . esc_attr( $rosaleen_anchor_icon ) . '"' : '' )
											. ( ! empty( $rosaleen_anchor_text ) ? ' title="' . esc_attr( $rosaleen_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( rosaleen_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' rosaleen-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$rosaleen_css      = '';
				$rosaleen_bg_mask  = rosaleen_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$rosaleen_bg_color_type = rosaleen_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $rosaleen_bg_color_type ) {
					$rosaleen_bg_color = rosaleen_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $rosaleen_bg_color_type ) {
					$rosaleen_bg_color = rosaleen_get_scheme_color( 'bg_color', $rosaleen_scheme );
				} else {
					$rosaleen_bg_color = '';
				}
				if ( ! empty( $rosaleen_bg_color ) && $rosaleen_bg_mask > 0 ) {
					$rosaleen_css .= 'background-color: ' . esc_attr(
						1 == $rosaleen_bg_mask ? $rosaleen_bg_color : rosaleen_hex2rgba( $rosaleen_bg_color, $rosaleen_bg_mask )
					) . ';';
				}
				if ( ! empty( $rosaleen_css ) ) {
					echo ' style="' . esc_attr( $rosaleen_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$rosaleen_caption     = rosaleen_get_theme_option( 'front_page_woocommerce_caption' );
				$rosaleen_description = rosaleen_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $rosaleen_caption ) || ! empty( $rosaleen_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $rosaleen_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $rosaleen_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $rosaleen_caption, 'rosaleen_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $rosaleen_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $rosaleen_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $rosaleen_description ), 'rosaleen_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $rosaleen_woocommerce_sc ) {
						$rosaleen_woocommerce_sc_ids      = rosaleen_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$rosaleen_woocommerce_sc_per_page = count( explode( ',', $rosaleen_woocommerce_sc_ids ) );
					} else {
						$rosaleen_woocommerce_sc_per_page = max( 1, (int) rosaleen_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$rosaleen_woocommerce_sc_columns = max( 1, min( $rosaleen_woocommerce_sc_per_page, (int) rosaleen_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$rosaleen_woocommerce_sc}"
										. ( 'products' == $rosaleen_woocommerce_sc
												? ' ids="' . esc_attr( $rosaleen_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $rosaleen_woocommerce_sc
												? ' category="' . esc_attr( rosaleen_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $rosaleen_woocommerce_sc
												? ' orderby="' . esc_attr( rosaleen_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( rosaleen_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $rosaleen_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $rosaleen_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
