<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package ROSALEEN
 * @since ROSALEEN 1.0.50
 */

$rosaleen_template_args = get_query_var( 'rosaleen_template_args' );
if ( is_array( $rosaleen_template_args ) ) {
	$rosaleen_columns    = empty( $rosaleen_template_args['columns'] ) ? 2 : max( 1, $rosaleen_template_args['columns'] );
	$rosaleen_blog_style = array( $rosaleen_template_args['type'], $rosaleen_columns );
} else {
	$rosaleen_template_args = array();
	$rosaleen_blog_style = explode( '_', rosaleen_get_theme_option( 'blog_style' ) );
	$rosaleen_columns    = empty( $rosaleen_blog_style[1] ) ? 2 : max( 1, $rosaleen_blog_style[1] );
}
$rosaleen_blog_id       = rosaleen_get_custom_blog_id( join( '_', $rosaleen_blog_style ) );
$rosaleen_blog_style[0] = str_replace( 'blog-custom-', '', $rosaleen_blog_style[0] );
$rosaleen_expanded      = ! rosaleen_sidebar_present() && rosaleen_get_theme_option( 'expand_content' ) == 'expand';
$rosaleen_components    = ! empty( $rosaleen_template_args['meta_parts'] )
							? ( is_array( $rosaleen_template_args['meta_parts'] )
								? join( ',', $rosaleen_template_args['meta_parts'] )
								: $rosaleen_template_args['meta_parts']
								)
							: rosaleen_array_get_keys_by_value( rosaleen_get_theme_option( 'meta_parts' ) );
$rosaleen_post_format   = get_post_format();
$rosaleen_post_format   = empty( $rosaleen_post_format ) ? 'standard' : str_replace( 'post-format-', '', $rosaleen_post_format );

$rosaleen_blog_meta     = rosaleen_get_custom_layout_meta( $rosaleen_blog_id );
$rosaleen_custom_style  = ! empty( $rosaleen_blog_meta['scripts_required'] ) ? $rosaleen_blog_meta['scripts_required'] : 'none';

if ( ! empty( $rosaleen_template_args['slider'] ) || $rosaleen_columns > 1 || ! rosaleen_is_off( $rosaleen_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $rosaleen_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( rosaleen_is_off( $rosaleen_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $rosaleen_custom_style ) ) . "-1_{$rosaleen_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $rosaleen_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $rosaleen_columns )
					. ' post_layout_' . esc_attr( $rosaleen_blog_style[0] )
					. ' post_layout_' . esc_attr( $rosaleen_blog_style[0] ) . '_' . esc_attr( $rosaleen_columns )
					. ( ! rosaleen_is_off( $rosaleen_custom_style )
						? ' post_layout_' . esc_attr( $rosaleen_custom_style )
							. ' post_layout_' . esc_attr( $rosaleen_custom_style ) . '_' . esc_attr( $rosaleen_columns )
						: ''
						)
		);
	rosaleen_add_blog_animation( $rosaleen_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'rosaleen_action_show_layout', $rosaleen_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $rosaleen_template_args['slider'] ) || $rosaleen_columns > 1 || ! rosaleen_is_off( $rosaleen_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
