<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package ROSALEEN
 * @since ROSALEEN 1.0
 */

$rosaleen_template_args = get_query_var( 'rosaleen_template_args' );
if ( is_array( $rosaleen_template_args ) ) {
	$rosaleen_columns    = empty( $rosaleen_template_args['columns'] ) ? 2 : max( 1, $rosaleen_template_args['columns'] );
	$rosaleen_blog_style = array( $rosaleen_template_args['type'], $rosaleen_columns );
    $rosaleen_columns_class = rosaleen_get_column_class( 1, $rosaleen_columns, ! empty( $rosaleen_template_args['columns_tablet']) ? $rosaleen_template_args['columns_tablet'] : '', ! empty($rosaleen_template_args['columns_mobile']) ? $rosaleen_template_args['columns_mobile'] : '' );
} else {
	$rosaleen_template_args = array();
	$rosaleen_blog_style = explode( '_', rosaleen_get_theme_option( 'blog_style' ) );
	$rosaleen_columns    = empty( $rosaleen_blog_style[1] ) ? 2 : max( 1, $rosaleen_blog_style[1] );
    $rosaleen_columns_class = rosaleen_get_column_class( 1, $rosaleen_columns );
}

$rosaleen_post_format = get_post_format();
$rosaleen_post_format = empty( $rosaleen_post_format ) ? 'standard' : str_replace( 'post-format-', '', $rosaleen_post_format );

?><div class="
<?php
if ( ! empty( $rosaleen_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( rosaleen_is_blog_style_use_masonry( $rosaleen_blog_style[0] ) ? 'masonry_item masonry_item-1_' . esc_attr( $rosaleen_columns ) : esc_attr( $rosaleen_columns_class ));
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $rosaleen_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $rosaleen_columns )
		. ( 'portfolio' != $rosaleen_blog_style[0] ? ' ' . esc_attr( $rosaleen_blog_style[0] )  . '_' . esc_attr( $rosaleen_columns ) : '' )
	);
	rosaleen_add_blog_animation( $rosaleen_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$rosaleen_hover   = ! empty( $rosaleen_template_args['hover'] ) && ! rosaleen_is_inherit( $rosaleen_template_args['hover'] )
								? $rosaleen_template_args['hover']
								: rosaleen_get_theme_option( 'image_hover' );

	if ( 'dots' == $rosaleen_hover ) {
		$rosaleen_post_link = empty( $rosaleen_template_args['no_links'] )
								? ( ! empty( $rosaleen_template_args['link'] )
									? $rosaleen_template_args['link']
									: get_permalink()
									)
								: '';
		$rosaleen_target    = ! empty( $rosaleen_post_link ) && false === strpos( $rosaleen_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$rosaleen_components = ! empty( $rosaleen_template_args['meta_parts'] )
							? ( is_array( $rosaleen_template_args['meta_parts'] )
								? $rosaleen_template_args['meta_parts']
								: explode( ',', $rosaleen_template_args['meta_parts'] )
								)
							: rosaleen_array_get_keys_by_value( rosaleen_get_theme_option( 'meta_parts' ) );

	// Featured image
	rosaleen_show_post_featured( apply_filters( 'rosaleen_filter_args_featured',
        array(
			'hover'         => $rosaleen_hover,
			'no_links'      => ! empty( $rosaleen_template_args['no_links'] ),
			'thumb_size'    => ! empty( $rosaleen_template_args['thumb_size'] )
								? $rosaleen_template_args['thumb_size']
								: rosaleen_get_thumb_size(
									rosaleen_is_blog_style_use_masonry( $rosaleen_blog_style[0] )
										? (	strpos( rosaleen_get_theme_option( 'body_style' ), 'full' ) !== false || $rosaleen_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( rosaleen_get_theme_option( 'body_style' ), 'full' ) !== false || $rosaleen_columns < 3
											? 'square'
											: 'square'
											)
								),
			'thumb_bg' => rosaleen_is_blog_style_use_masonry( $rosaleen_blog_style[0] ) ? false : true,
			'show_no_image' => true,
			'meta_parts'    => $rosaleen_components,
			'class'         => 'dots' == $rosaleen_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $rosaleen_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $rosaleen_post_link )
												? '<a href="' . esc_url( $rosaleen_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $rosaleen_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
            'thumb_ratio'   => 'info' == $rosaleen_hover ?  '100:102' : '',
        ),
        'content-portfolio',
        $rosaleen_template_args
    ) );
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!