<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package ROSALEEN
 * @since ROSALEEN 1.0.10
 */

// Footer sidebar
$rosaleen_footer_name    = rosaleen_get_theme_option( 'footer_widgets' );
$rosaleen_footer_present = ! rosaleen_is_off( $rosaleen_footer_name ) && is_active_sidebar( $rosaleen_footer_name );
if ( $rosaleen_footer_present ) {
	rosaleen_storage_set( 'current_sidebar', 'footer' );
	$rosaleen_footer_wide = rosaleen_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $rosaleen_footer_name ) ) {
		dynamic_sidebar( $rosaleen_footer_name );
	}
	$rosaleen_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $rosaleen_out ) ) {
		$rosaleen_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $rosaleen_out );
		$rosaleen_need_columns = true;   //or check: strpos($rosaleen_out, 'columns_wrap')===false;
		if ( $rosaleen_need_columns ) {
			$rosaleen_columns = max( 0, (int) rosaleen_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $rosaleen_columns ) {
				$rosaleen_columns = min( 4, max( 1, rosaleen_tags_count( $rosaleen_out, 'aside' ) ) );
			}
			if ( $rosaleen_columns > 1 ) {
				$rosaleen_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $rosaleen_columns ) . ' widget', $rosaleen_out );
			} else {
				$rosaleen_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $rosaleen_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'rosaleen_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $rosaleen_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $rosaleen_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'rosaleen_action_before_sidebar', 'footer' );
				rosaleen_show_layout( $rosaleen_out );
				do_action( 'rosaleen_action_after_sidebar', 'footer' );
				if ( $rosaleen_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $rosaleen_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'rosaleen_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
