<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package ROSALEEN
 * @since ROSALEEN 1.0.06
 */

$rosaleen_header_css   = '';
$rosaleen_header_image = get_header_image();
$rosaleen_header_video = rosaleen_get_header_video();
if ( ! empty( $rosaleen_header_image ) && rosaleen_trx_addons_featured_image_override( is_singular() || rosaleen_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$rosaleen_header_image = rosaleen_get_current_mode_image( $rosaleen_header_image );
}

$rosaleen_header_id = rosaleen_get_custom_header_id();
$rosaleen_header_meta = get_post_meta( $rosaleen_header_id, 'trx_addons_options', true );
if ( ! empty( $rosaleen_header_meta['margin'] ) ) {
	rosaleen_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( rosaleen_prepare_css_value( $rosaleen_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $rosaleen_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $rosaleen_header_id ) ) ); ?>
				<?php
				echo ! empty( $rosaleen_header_image ) || ! empty( $rosaleen_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $rosaleen_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $rosaleen_header_image ) {
					echo ' ' . esc_attr( rosaleen_add_inline_css_class( 'background-image: url(' . esc_url( $rosaleen_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( rosaleen_is_on( rosaleen_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight rosaleen-full-height';
				}
				$rosaleen_header_scheme = rosaleen_get_theme_option( 'header_scheme' );
				if ( ! empty( $rosaleen_header_scheme ) && ! rosaleen_is_inherit( $rosaleen_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $rosaleen_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $rosaleen_header_video ) ) {
		get_template_part( apply_filters( 'rosaleen_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'rosaleen_action_show_layout', $rosaleen_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'rosaleen_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
