<?php
/**
 * The template to display default site header
 *
 * @package ROSALEEN
 * @since ROSALEEN 1.0
 */

$rosaleen_header_css   = '';
$rosaleen_header_image = get_header_image();
$rosaleen_header_video = rosaleen_get_header_video();
if ( ! empty( $rosaleen_header_image ) && rosaleen_trx_addons_featured_image_override( is_singular() || rosaleen_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$rosaleen_header_image = rosaleen_get_current_mode_image( $rosaleen_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $rosaleen_header_image ) || ! empty( $rosaleen_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $rosaleen_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $rosaleen_header_image ) {
		echo ' ' . esc_attr( rosaleen_add_inline_css_class( 'background-image: url(' . esc_url( $rosaleen_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( rosaleen_is_on( rosaleen_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight rosaleen-full-height';
	}
	$rosaleen_header_scheme = rosaleen_get_theme_option( 'header_scheme' );
	if ( ! empty( $rosaleen_header_scheme ) && ! rosaleen_is_inherit( $rosaleen_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $rosaleen_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $rosaleen_header_video ) ) {
		get_template_part( apply_filters( 'rosaleen_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'rosaleen_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( rosaleen_is_on( rosaleen_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'rosaleen_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'rosaleen_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'rosaleen_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
