<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package ROSALEEN
 * @since ROSALEEN 1.0
 */

$rosaleen_args = get_query_var( 'rosaleen_logo_args' );

// Site logo
$rosaleen_logo_type   = isset( $rosaleen_args['type'] ) ? $rosaleen_args['type'] : '';
$rosaleen_logo_image  = rosaleen_get_logo_image( $rosaleen_logo_type );
$rosaleen_logo_text   = rosaleen_is_on( rosaleen_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$rosaleen_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $rosaleen_logo_image['logo'] ) || ! empty( $rosaleen_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $rosaleen_logo_image['logo'] ) ) {
			if ( empty( $rosaleen_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric($rosaleen_logo_image['logo']) && (int) $rosaleen_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$rosaleen_attr = rosaleen_getimagesize( $rosaleen_logo_image['logo'] );
				echo '<img src="' . esc_url( $rosaleen_logo_image['logo'] ) . '"'
						. ( ! empty( $rosaleen_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $rosaleen_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $rosaleen_logo_text ) . '"'
						. ( ! empty( $rosaleen_attr[3] ) ? ' ' . wp_kses_data( $rosaleen_attr[3] ) : '' )
						. '>';
			}
		} else {
			rosaleen_show_layout( rosaleen_prepare_macros( $rosaleen_logo_text ), '<span class="logo_text">', '</span>' );
			rosaleen_show_layout( rosaleen_prepare_macros( $rosaleen_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
