<?php
/**
 * The template to display the widgets area in the header
 *
 * @package ROSALEEN
 * @since ROSALEEN 1.0
 */

// Header sidebar
$rosaleen_header_name    = rosaleen_get_theme_option( 'header_widgets' );
$rosaleen_header_present = ! rosaleen_is_off( $rosaleen_header_name ) && is_active_sidebar( $rosaleen_header_name );
if ( $rosaleen_header_present ) {
	rosaleen_storage_set( 'current_sidebar', 'header' );
	$rosaleen_header_wide = rosaleen_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $rosaleen_header_name ) ) {
		dynamic_sidebar( $rosaleen_header_name );
	}
	$rosaleen_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $rosaleen_widgets_output ) ) {
		$rosaleen_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $rosaleen_widgets_output );
		$rosaleen_need_columns   = strpos( $rosaleen_widgets_output, 'columns_wrap' ) === false;
		if ( $rosaleen_need_columns ) {
			$rosaleen_columns = max( 0, (int) rosaleen_get_theme_option( 'header_columns' ) );
			if ( 0 == $rosaleen_columns ) {
				$rosaleen_columns = min( 6, max( 1, rosaleen_tags_count( $rosaleen_widgets_output, 'aside' ) ) );
			}
			if ( $rosaleen_columns > 1 ) {
				$rosaleen_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $rosaleen_columns ) . ' widget', $rosaleen_widgets_output );
			} else {
				$rosaleen_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $rosaleen_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'rosaleen_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $rosaleen_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $rosaleen_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'rosaleen_action_before_sidebar', 'header' );
				rosaleen_show_layout( $rosaleen_widgets_output );
				do_action( 'rosaleen_action_after_sidebar', 'header' );
				if ( $rosaleen_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $rosaleen_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'rosaleen_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
