<?php
/**
 * The template to display Admin notices
 *
 * @package ROSALEEN
 * @since ROSALEEN 1.0.64
 */

$rosaleen_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$rosaleen_skins_args = get_query_var( 'rosaleen_skins_notice_args' );
?>
<div class="rosaleen_admin_notice rosaleen_skins_notice notice notice-info is-dismissible" data-notice="skins">
	<?php
	// Theme image
	$rosaleen_theme_img = rosaleen_get_file_url( 'screenshot.jpg' );
	if ( '' != $rosaleen_theme_img ) {
		?>
		<div class="rosaleen_notice_image"><img src="<?php echo esc_url( $rosaleen_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'rosaleen' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="rosaleen_notice_title">
		<?php esc_html_e( 'New skins are available', 'rosaleen' ); ?>
	</h3>
	<?php

	// Description
	$rosaleen_total      = $rosaleen_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$rosaleen_skins_msg  = $rosaleen_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $rosaleen_total, 'rosaleen' ), $rosaleen_total ) . '</strong>'
							: '';
	$rosaleen_total      = $rosaleen_skins_args['free'];
	$rosaleen_skins_msg .= $rosaleen_total > 0
							? ( ! empty( $rosaleen_skins_msg ) ? ' ' . esc_html__( 'and', 'rosaleen' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $rosaleen_total, 'rosaleen' ), $rosaleen_total ) . '</strong>'
							: '';
	$rosaleen_total      = $rosaleen_skins_args['pay'];
	$rosaleen_skins_msg .= $rosaleen_skins_args['pay'] > 0
							? ( ! empty( $rosaleen_skins_msg ) ? ' ' . esc_html__( 'and', 'rosaleen' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $rosaleen_total, 'rosaleen' ), $rosaleen_total ) . '</strong>'
							: '';
	?>
	<div class="rosaleen_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'rosaleen' ), $rosaleen_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="rosaleen_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $rosaleen_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'rosaleen' );
			?>
		</a>
	</div>
</div>
